Skip to content

API Keys

All operations require authentication.

3 operationsv1/me/api
Agent setup

Retrieve all applicationsProduction

GET
/1.0/me/api/application

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/api/application \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Retrieve information about an applicationProduction

GET
/1.0/me/api/application/{applicationId}

Path parameters

applicationId
required
integer

Application ID

Response

200ApiApplicationsuccessful operation
applicationId
read-only
integer

ID of this Application

applicationKey
read-only
string

Key of this application

description
read-only
string

Description of this application

name
read-only
string

Name of this application

status
read-only
ApplicationStatusEnum

Status of this application

Valuesactiveblockedinactivetrusted

Example uses applicationId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/api/application/{applicationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "applicationId": 0, "applicationKey": "string", "description": "string", "name": "string", "status": "active"}

Delete an application. It will revoke all credential belonging to this applicationProduction

DELETE
/1.0/me/api/application/{applicationId}

Path parameters

applicationId
required
integer

Application ID

Response

200—successful operation

Example uses applicationId = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/api/application/{applicationId} \
  -H "authorization: Bearer $OVH_TOKEN"